gnutls_cipher_get_name(3)

NAME
gnutls_cipher_get_name - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_cipher_get_name(gnutls_cipher_algorithm_t algorithm);

ARGUMENTS

gnutls_cipher_algorithm_t algorithm
    is an encryption algorithm

DESCRIPTION
Convert a gnutls_cipher_algorithm_t type to a string.

RETURNS
a pointer to a string that contains the name of the specified cipher, or NULL.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/